{* GET CONFIG BY PORTLET OR SMARTY VAR *}
{if !$DZMShippingCountdownInjected && $isPreview}
    {* IF IT IS A PORTLET AND PREVIEW GET CONFIG FROM PORTLET *}
    {$DZMShippingCountdownConfig = $portlet->getConfig()}
{else}
    {* GET IT OTHERWISE FROM SMARTY VAR *}
    {$DZMShippingCountdownConfig = $dzm_opc_salesbooster_settings->DZMObservers}
{/if}


{* CHECK IF WIDGET IS ACTIVE *}
{if $DZMShippingCountdownConfig->active}

    {* PREPARE PORTLET AND INJECTED VALUES *}
    {if !$DZMShippingCountdownInjected}
        {if $isPreview}
            {$dzm_current_observers = 10}
        {/if}
        {$uid = $instance->getUid()}
    {else}
        {$uid = 'static'}
    {/if}

    {* ONLY RENDER IF MORE THEN ONE OBSERVER OR USE ALTERNATIVE OPTION IS ACTIVE *}
    {if isset($dzm_current_observers) && ($dzm_current_observers > 1 || $DZMShippingCountdownConfig->useAlternative)}

        {* PREPARE STYLES BASED ON OBERVERS COUNT *}
        {if $dzm_current_observers > 1}
            {$DZMObserversStyle = $DZMShippingCountdownConfig->observerStyle->value}
            {$DZMObserversIcon = $DZMShippingCountdownConfig->icon}
            {$DZMObserversIconColor = $DZMShippingCountdownConfig->observerIconColor}
            {$DZMObserversText = {lang key='dzm_observer_notice' printf=$dzm_current_observers section='dzm_opc_salesbooster'}}
        {else}
            {$DZMObserversStyle = $DZMShippingCountdownConfig->noObserverStyle->value}
            {$DZMObserversIcon = $DZMShippingCountdownConfig->noObserverIcon}
            {$DZMObserversIconColor = $DZMShippingCountdownConfig->noObserverIconColor}
            {$DZMObserversText = {lang key='dzm_no_observer_notice' printf=$dzm_current_observers section='dzm_opc_salesbooster'}}

        {/if}

        {if !$DZMShippingCountdownInjected}


        <div    id="{$instance->getProperty('blockId')}"
                {foreach $instance->getAnimationData() as $data => $value} data-{$data}="{$value}" {/foreach}
                data-dzm-con-shc-wrapper="{$uid}"
                class="dzm-con-shc-wrapper {$DZMObserversStyle} {$instance->getAnimationClass()} {$instance->getStyleClasses()}"
                style="{$instance->getStyleString()};">
        {else}

        <div data-dzm-con-shc-wrapper="static" class="dzm-con-shc-wrapper {$DZMObserversStyle}">
        {/if}


            <i class="{$DZMObserversIcon} mr-1" style="color:{$DZMObserversIconColor}"></i>
            <span class="dzm-con-shc-content dzm-con-shc-observer-notice"> {$DZMObserversText}</span>


        </div>


    {/if}







{* RENDER NOTICE IF WIDGET IS INACTIVE FOR OPC EDITOR *}
{elseif !$DZMShippingCountdownInjected && $isPreview}
    <div style="border: 2px dashed red!important;">
        <div data-dzm-con-shc-wrapper="inactive" class="dzm-con-shc-wrapper {$DZMShippingCountdownConfig->observerStyle->value}" style="opacity: 0.5;">
            <i class="{$DZMShippingCountdownConfig->icon} mr-1"></i>
            <span class="dzm-con-shc-content dzm-con-shc-observer-notice"> <strong>ACHTUNG Widget ShippingCountdown ist inaktiv</strong></span>
        </div>
    </div>
{/if}

